Package com.tibco.patterns.qbp

## Interface IQBPLoaderMgr

- All Known Implementing Classes:
    `DfltLoaderMgr`

      public interface IQBPLoaderMgr

  Get a class loader for a class. Implementations of the interface provide a class loader for loading a specified class. Note this provides only the loader, it does not actually load the class, nor does it verify that the class exists.

  Different classes may require different loaders. A class is identified by the fully qualified class name, and an optional class source. The class source, if provided, is normally a class file. Different implementations, however, may treat the source as some other source identification string.

  Implementations of this interface can be used to impose security restrictions on the classes that can be loaded and where they can be loaded from.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.ClassLoader` | `getLoaderFor​(java.lang.String class_name, java.lang.String class_source)` | Get a class loader for a particular class and source.

- - ### Method Detail

    - #### getLoaderFor

          java.lang.ClassLoader getLoaderFor​(java.lang.String class_name,
                                             java.lang.String class_source)
                                      throws java.lang.UnsupportedOperationException,
                                             java.lang.IllegalArgumentException,
                                             java.lang.Exception

      Get a class loader for a particular class and source.
      Parameters:
        `class_name` - the fully qualified class name
        `class_source` - this identifies a source for the class. This may be left null, in which case this is treated as a request for a loader from a standard set of loaders (as known to the particular implementation). If non-null most implementations would interpret this as a class file, but implementations are free to assign alternate meanings to the string.
      Returns:
        a QBPClasssLoader object to use to load the identified class.
      Throws:
        `java.lang.UnsupportedOperationException` - if class_source is non-null and loading from that source is not allowed.
        `java.lang.IllegalArgumentException` - if class_name is null, or loading of that class is not allowed.
        `java.lang.Exception` - on other errors.